# nsw-national-parks-cli-app

CLI application for accessing information on National Parks in NSW Australia				
## Table of Contents
* Introduction
* Included Features
* Installation
* Usage
* Development
* Contributing
* License
## Introduction

This is a Ruby Gem to provide the user with information on all 
Australian National Parks overseen by the New South Wales (NSW) 
State Government. 

## Included Features

* It has a command line interface
* It interacts with the NSW National Parks website
* It returns a list of all National Parks in NSW
* It provides a url for each National Park in NSW
* It provides information on each National Park in NSW
* It provides the region for each National Park in NSW
* It provides the website for an interactive map of all National Parks in NSW
* It provides the website for downloading free pocket guides to each region in NSW
* It allows you to request information on each national park from the main list 
  and from the region list

## Installation

You can install this gem via `gem install nswparks`. The nswparks CLI will be installed and you can run `nswparks` to get a list and information on NSW National Parks right in your command line.

## Usage

Run: `nswparks` after installing the gem.

## Contributors

Malki Davis for the hint to use system open

## Versions
* 1.0.0 - yanked as README.md incomplete
* 1.1.0 - added ability to auto open websites for the user
* 1.1.1 - added new class to simplify access to park regions

## Development

After checking out the repo, run `bundle exec bin/setup` to install dependencies. Then, run `bundle exec rake spec` to run the tests. You can also run `bundle exec bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to rubygems.org.

To run the development version of the CLI run `bundle exec bin/nswparks`.

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/apalski/nsw-national-parks-cli-app. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the Contributor Covenant code of conduct.

## License

The gem is available as open source under the terms of the MIT License.






